{ config, pkgs, inputs, lib, ... }:
{
  imports = [
    ./brix-boot.nix
    ./real-hardware.nix
    ../../server-security.nix
    ../../tailscale.nix
    ./tailscale-brix.nix
    ../cli.nix
    ./restic-server.nix
    ./i2p.nix
    ./print-server.nix
    ./nextcloud.nix
  ];
  networking = {
    hostName = "brix";
    useDHCP = false;
    interfaces.enp3s0.useDHCP = true;
  };
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  security.allowUserNamespaces = true;
  services.syncthing = {
    enable = true;
    dataDir = "/data/syncthing";
    openDefaultPorts = true;
    package = inputs.nixpkgs-nixos-unstable.legacyPackages."x86_64-linux".syncthing;
  };

  time.timeZone = "Europe/London";

}
