{ config, pkgs, ... }:
{
  networking.hostName = "thinky";

  imports = [
    ./hardware-configuration.nix
    ../../boot.nix
    ../../common.nix
    ../../gfx-intel.nix
    ../../i3
    ../../tailscale.nix
    ./tailscale-thinky.nix
    ../../distributed-builds.nix
    ../../gui
    ../../git
    ../../backups.nix
  ];

  time.timeZone = "Europe/Warsaw";

  boot.kernelPackages = pkgs.linuxPackages_latest;
  services.thermald.enable = true;
  zramSwap = {
    enable = true;
    algorithm = "zstd";
    memoryPercent = 50;
  };
  fonts.fontconfig.enable = true;
  home-manager.users.cyryl = {...}: {
    imports = [
      ../../home-manager/programs/termite.nix
    ];
  };
}
