{ config, pkgs, inputs, ... }:
let
  unstable = inputs.nixpkgs-nixos-unstable.legacyPackages.${pkgs.system};
in
  {
    home.file.".vimrc".source = ../../../.vimrc.nixos;
    home.packages = with pkgs; [
      ripgrep
    ];
    programs.neovim = {
      enable = true;
      viAlias = true;
      vimAlias = true;
      vimdiffAlias = true;
      withNodeJs = true;
      withPython3 = true;
      withRuby = true;
      package = unstable.neovim-unwrapped;

      plugins = with pkgs.vimPlugins; [
        ack-vim
        coc-highlight
        coc-nvim
        coc-rust-analyzer
        ctrlp-vim
        editorconfig-vim
        fzf-vim
        quickfix-reflector-vim
        rainbow
        tabular
        vim-airline
        vim-airline-themes
        vim-autoformat
        vim-colors-solarized
        vim-devicons
        vim-dirdiff
        vim-dispatch
        vim-fugitive
        vim-gitgutter
        vim-markdown
        vim-nix
        vim-sensible
        vim-startify
        vim-surround
        vim-toml
      ];
      extraConfig = ''
        if filereadable($HOME . "/.vimrc")
        source $HOME/.vimrc
        endif
      '';
    };
  }
